tools

## Class Pair

- java.lang.Object
- - tools.Pair

- All Implemented Interfaces:
    java.lang.Comparable, java.util.Map.Entry<java.lang.Integer,java.lang.Integer>

      public class Pair
      extends java.lang.Object
      implements java.util.Map.Entry<java.lang.Integer,java.lang.Integer>, java.lang.Comparable

  Created with IntelliJ IDEA. User: Diego Date: 20/10/13 Time: 17:07 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `first`
    `java.lang.Integer` | `second`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pair(java.lang.Integer first, java.lang.Integer second)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Integer` | `getKey()`
    `java.lang.Integer` | `getValue()`
    `java.lang.Integer` | `setValue(java.lang.Integer value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `hashCode`

- - ### Field Detail

    - #### first

          public java.lang.Integer first

    - #### second

          public java.lang.Integer second

  - ### Constructor Detail

    - #### Pair

          public Pair(java.lang.Integer first,
              java.lang.Integer second)

  - ### Method Detail

    - #### getKey

          public java.lang.Integer getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<java.lang.Integer,java.lang.Integer>`

    - #### getValue

          public java.lang.Integer getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<java.lang.Integer,java.lang.Integer>`

    - #### setValue

          public java.lang.Integer setValue(java.lang.Integer value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<java.lang.Integer,java.lang.Integer>`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in interface `java.util.Map.Entry<java.lang.Integer,java.lang.Integer>`
      Overrides:
        `equals` in class `java.lang.Object`